
Redmine - Defect #1372

Timelog hours decimal format

2008-06-04 13:22 - Begoña Villamor

Status: Closed Start date: 2008-06-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version: 0.7.1

Description

Time tracking hours are always stored with english decimal format, '.' for decimals.

When exporting timelog to csv, the hours (time spent) column has english decimal format, not user locale format.

Excel in spanish can't operate with these hours because are treated as text fields.

Could you add a number format parameter in configuration properties or something to avoid this problem?

Thanks.

Associated revisions

Revision 1591 - 2008-06-26 21:46 - Jean-Philippe Lang

Adds a key in lang files (general_csv_decimal_separator) to set the decimal separator (point or comma) in csv exports (#1372).

Revision 2078 - 2008-11-30 17:34 - Jean-Philippe Lang

Changes Portuguese decimal separator (#1372).

Revision 2213 - 2008-12-30 17:43 - Jean-Philippe Lang

Changes pt-br decimal separator (#1372).

History

#1 - 2008-06-26 22:28 - Jean-Philippe Lang

- Category set to Time tracking

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

The decimal separator is now configured in each language file (r1591).

The comma was chosen for the Spanish and French translations.

See: source:trunk/lang/es.yml@1591#L51

#2 - 2008-11-24 18:45 - Guilherme Schneider

- Status changed from Closed to Reopened

The comma should be the default decimal separator for Portuguese too.

#3 - 2008-11-30 17:31 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Change done in pt.yml (r2078)

#4 - 2008-12-30 16:47 - Guilherme Schneider

Sorry, but there is the pt-br.yml too.

#5 - 2008-12-30 17:21 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/1591
https://www.redmine.org/projects/redmine/repository/svn/revisions/1591/entry/trunk/lang/es.yml#L51
https://www.redmine.org/projects/redmine/repository/svn/revisions/2078


- Target version deleted (0.8)

#6 - 2008-12-30 17:41 - Jean-Philippe Lang

Fix committed in r2213.

#7 - 2009-01-04 14:01 - Jean-Philippe Lang

- Target version set to 0.8.1
